<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Asso\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class AssoEquipment extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="AssoEquipment"; 
		$this->Alias = "AssoEquipment"; 

		$this->Libelle = new Property("Libelle", "Libelle", TEXTAREA,  false, $this->Alias); 
		$this->Description = new Property("Description", "Description", TEXTAREA,  false, $this->Alias); 
		$this->Price = new Property("Price", "Price", TEXTAREA,  false, $this->Alias); 
		$this->Quantity = new Property("Quantity", "Quantity", NUMERICBOX,  false, $this->Alias); 
		$this->DateCreated = new Property("DateCreated", "DateCreated", DATEBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>